package cn.gov.customs.wxjy.generator.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import cn.gov.customs.wxjy.generator.pojo.GenTableColumn;
import cn.gov.customs.wxjy.generator.pojo.GenTableColumnQuery;

/**
 * 代码生成业务字段Mapper接口
 *
 * @author xiong
 * @date 2025-12-25
 */
@Mapper
public interface GenTableColumnMapper {
    /**
     * 查询代码生成业务字段
     *
     * @param columnId 代码生成业务字段主键
     * @return 代码生成业务字段
     */
    public GenTableColumn selectByColumnId(String columnId);

    /**
     * 查询代码生成业务字段列表
     *
     * @param genTableColumn 代码生成业务字段
     * @return 代码生成业务字段集合
     */
    public List<GenTableColumn> selectList(GenTableColumnQuery genTableColumn);

    /**
     * 新增代码生成业务字段
     *
     * @param genTableColumn 代码生成业务字段
     * @return 结果
     */
    public int insert(GenTableColumn genTableColumn);

    /**
     * 修改代码生成业务字段
     *
     * @param genTableColumn 代码生成业务字段
     * @return 结果
     */
    public int update(GenTableColumn genTableColumn);

    /**
     * 删除代码生成业务字段
     *
     * @param columnId 代码生成业务字段主键
     * @return 结果
     */
    public int deleteByColumnId(String columnId);

    /**
     * 批量删除代码生成业务字段
     *
     * @param columnIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteByColumnIds(String[] columnIds);

    /**
     * 逻辑删除代码生成业务字段
     *
     * @param columnId 代码生成业务字段主键
     * @return 结果
     */
    public int logicDelete(String columnId);

    List<GenTableColumn> selectGenTableColumnListByTableId(String tableId);

    List<GenTableColumn> selectDbTableColumnsByName(String tableName);

    void deleteGenTableColumnByIds(String[] ids);

    void deleteGenTableColumns(List<GenTableColumn> delColumns);
}
